
[![Test Status](https://github.com/pysmo/pysmo/actions/workflows/run-tests.yml/badge.svg)](https://github.com/pysmo/pysmo/actions/workflows/run-tests.yml)
[![Build Status](https://github.com/pysmo/pysmo/actions/workflows/build.yml/badge.svg)](https://github.com/pysmo/pysmo/actions/workflows/build.yml)
[![Documentation Status](https://readthedocs.org/projects/pysmo/badge/?version=latest)](https://pysmo.readthedocs.io/en/latest/?badge=latest)
[![codecov](https://codecov.io/gh/pysmo/pysmo/branch/master/graph/badge.svg?token=ZsHTBN4rxF)](https://codecov.io/gh/pysmo/pysmo)
[![PyPI](https://img.shields.io/pypi/v/pysmo)](https://pypi.org/project/pysmo/)

Pysmo offers simple data types for seismologists to write code with. Instead
of working with one big class containing all kinds of data, psymo uses separate,
narrowly defined classes that are more meaningful when describing things that
exist in the real world. The type definitions are not tied to any particular
file format, and thus free users from needing to adhere to Python data structures
often dictated by a rigid underlying file format.

Together with these data types, pysmo provides a growing library of essential
functions that benefit from using these types. Programming with pysmo results
in code that is:

  - using modern Python concepts.
  - easy to write and understand.
  - both portable and future proof.

Pysmo itself is designed to be modular and easy to expand without interfering
with the existing code base, making it straightforward to incorporate user
contributions.

## Contributors

- Helio Tejedor
